package com.book.server.service;

import com.book.server.common.entity.PageResult;
import com.book.server.dao.entity.Book;
import com.book.server.dao.entity.SearchKeyword;
import com.book.server.model.VO.BlockRes;
import com.book.server.model.VO.BookRes;
import com.book.server.model.VO.Chapter;
import com.book.server.model.VO.QueryVO;

import java.util.List;

public interface BookService {
    List<BookRes> query(QueryVO queryVO);
    List<Book> recommendByRead(QueryVO queryVO);

    List<BlockRes> getBlockByPageId(Integer pageId);

    void insertBooks();

    List<Chapter> getChaptersByBookId(String bookId);

    List<SearchKeyword> getSearchKeywordBySex(String sex);
}
